Name:		python-acoustid
Version:	0.7
Release:	1%{?dist}

Summary:	Python bindings for Chromaprint acoustic fingerprinting and the Acoustid API
Group:		Development/Languages
License:	MIT
URL:		http://pypi.python.org/pypi/pyacoustid
Source0:	http://pypi.python.org/packages/source/p/pyacoustid/pyacoustid-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
Requires:	chromaprint-tools
Requires:	python-audioread


%description
Chromaprint and its associated Acoustid Web service make up a
high-quality, open-source acoustic fingerprinting system. This package
provides Python bindings for both the fingerprinting algorithm
library, which is written in C but portable, and the Web service,
which provides fingerprint lookups.


%prep
%setup -q -n pyacoustid-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%doc README.rst aidmatch.py
%{python_sitelib}/acoustid.py*
%{python_sitelib}/chromaprint.py*
%{python_sitelib}/pyacoustid-%{version}-py?.?.egg-info/


%changelog
* Sat Aug 25 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.7-1
- imported from Fedora Bugzilla (#851702)
- cleaned up spec-file

